# $Id$
# Authority: dag

Summary: Minimal SSH command and control
Name: ansible-provisioning
Version: 1.1
Release: 1%{?dist}
License: GPLv3+
Group: Development/Libraries
URL: http://ansible-provisioning.github.com/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: https://github.com/ansible-provisioning/ansible-provisioning/archive/master.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: python2-devel >= 2.6
Buildrequires: ansible = %{version}
Requires: python >= 2.6
Requires: ansible = %{version}

%description
Ansible is a radically simple model-driven configuration management,
multi-node deployment, and remote task execution system. Ansible works
over SSH and does not require any software or daemons to be installed
on remote nodes. Extension modules can be written in any language and
are transferred to managed machines automatically.

%prep
%setup -n ansible-provisioning-master

%build
%{__make} clean docs
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --root="%{buildroot}"

%{__install} -d -m0755 %{buildroot}%{_mandir}/man3/
%{__cp} -av docs/man/man3/*.3 %{buildroot}%{_mandir}/man3/
%{__install} -d -m0755 %{buildroot}%{_datadir}/ansible/
%{__cp} -av library/* %{buildroot}%{_datadir}/ansible/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc COPYING README.md
%doc %{_mandir}/man3/ansible.*
%{python_sitelib}/ansible*
%{_datadir}/ansible/

%changelog
* Fri Apr 05 2013 Dag Wieers <dag@wieers.com> - 1.1-1
- Updated to release 1.1.

* Wed Mar 20 2013 Dag Wieers <dag@wieers.com> - 1.0-1
- Initial package. (using DAR)
